Bug 1688 - [UPDATE REQUEST] cairo 1.12.12 -> 1.12.14
: [UPDATE REQUEST] cairo 1.12.12 -> 1.12.14
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-18 17:24 MSK by Andrey Bondrov
Modified: 2013-02-21 11:05 MSK (History)
2 users (show)

See Also:
RPM Package: cairo-1.12.14-1
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-02-18 17:24:32 MSK
New bugfix version of cairo is released.
Comment 1 Andrey Bondrov 2013-02-18 17:36:59 MSK
Advisory: 

"New in bugfix version 1.12.14:
- Prevent user callbacks accessing user-data during destroy to prevent use-after-free bugs.
- Use standard names for glyphs in subset fonts (PDF).
- Prevent numeric overflow from extrapolating polygon edges to the clip boundary and causing severe render artifacts.
- Fix computation of glyph string coordinates when breaking up runs for xlib."

https://abf.rosalinux.ru/build_lists/958597
https://abf.rosalinux.ru/build_lists/958598
Comment 2 Vladimir Potapov 2013-02-19 17:59:16 MSK
libcairo2-1.12.14-1-rosa2012.1
**************** Advisory ******************
New bugfix version 1.12.14
********************************************
QA Verified